Bug 812072 - wicd stopped working with latest kernel version (3.3.1)
wicd stopped working with latest kernel version (3.3.1)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 13:10 EDT by Juan
Modified: 2012-04-22 00:15 EDT (History)
7 users (show)

See Also:
Fixed In Version: kernel-3.3.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 15:30:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan 2012-04-12 13:10:41 EDT
Description of problem:
I have installed the LXDE Fedora 16 spin on an Asus Eee PC 1011PX netbook (Atom dual core with 2Gb RAM).
I'm using wicd instead of Gnome NetworkManager.
I always keep my packages updated to te last stable version from Fedora repositories.
Since I updated the kernel to the last version (3.3.1) wicd stopped working. It detects my wireless network (WPA2-PSK), but stays for quite long validating password to finally report wrong password error. The password is fine. It hasn't changed, and if I boot with the previous (3.1.0) kernel version, it connects quickly and with no problem.

Version-Release number of selected component (if applicable):
kernel-3.3.1-3.fc16.x86_64
wicd-1.7.0-12.fc16.x86_64

How reproducible:
With LXDE spin and wicd isntead of network manager, upgrade to kernel version 3.3.1 and try to connect to your otherwise working WIFI connection.


Steps to Reproduce:
1. Install the LXDE Fedora 16 spin 64 bits.
2. Replace Gnome NetworkManager for wicd and install wicd applet.
3. Check whether wicd connects correctly to your WPA2-PSK WIFIg network.
4. Upgrade all packages (including kernel 3.3.1-3 and wicd-1.7.0-12
5. Reboot with 3.3.1-3 kernel version.
6. Try to connect to your wireless network (or just wait indefinitely for wicd to connect to it if it's enabled by default)
  
Actual results:
wicd does not connect to the wireless network and reports wrong password

Expected results:
wicd connects correctly to the network, as it does with 3.1.0 kernel version.

Additional info:

I introduce the WPA2-PSK password with the "passphrase" option in wicd. It does not work with any kernel version if I use the "pre-shared secret" option, even though my router configuration calls it pre-shared secret.

My router is a Comtrend CT-5361 ADSL2+ wired and wireless router.
Comment 1 Juan 2012-04-13 21:57:15 EDT
The problem persists with kernel 3.3.1-5.
It's definitely a kernel-package-related bug and not wicd itself.
Comment 2 Josh Boyer 2012-04-14 09:44:59 EDT
We'll need to know what wireless hardware/driver you're using.  Ath9k?
Comment 3 Juan 2012-04-14 19:03:05 EDT
Exactly. From lspci -v under kernel 3.3.0-8 (sorry, 3.1.0 was a mistake).

02:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
	Subsystem: AzureWave Device 1089
	Flags: bus master, fast devsel, latency 0, IRQ 17
	Memory at fbff0000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath9k
	Kernel modules: ath9k
Comment 4 perutka.ondrej 2012-04-16 08:38:46 EDT
Same problem using Gnome NetworkManager and kernel >= 3.3.1-3. My hw is Realtek RTL8188CE.
Comment 5 Josh Boyer 2012-04-16 15:03:38 EDT
(In reply to comment #4)
> Same problem using Gnome NetworkManager and kernel >= 3.3.1-3. My hw is Realtek
> RTL8188CE.

Please open a new bug for the RTL8188CE issue.  In the new bug, attach the dmesg from working and non-working kernels.

The ath9k issue should be fixed with 3.3.2.
Comment 6 Fedora Update System 2012-04-16 15:07:18 EDT
kernel-3.3.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.3.2-1.fc16
Comment 7 Fedora Update System 2012-04-16 15:10:41 EDT
kernel-3.3.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.3.2-1.fc17
Comment 8 Fedora Update System 2012-04-16 17:57:14 EDT
Package kernel-3.3.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.3.2-1.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5994/kernel-3.3.2-1.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-04-18 15:30:20 EDT
kernel-3.3.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-04-22 00:15:26 EDT
kernel-3.3.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.